<?php function dh_notificationbar_settings() { global $options; $options = get_option('dh_notificationbar'); ?>
<form method="post" id="mainform" action="">
<table class="dhnotificationbar widefat" style="margin-top:25px;">
	<thead>
		<tr>
			<th scope="col">Settings</th>
			<th scope="col">&nbsp;</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="titledesc">Enable Notification Bar</td>
			<td class="forminp">
				<label class="dhnotificationbar-switch dh-info">
					<input name="dhnbar_enable" <?php if($options['dhnbar_enable']=='on'){ ?>checked<?php }?> type="checkbox" class="dhnotificationbar-switch-input">
					<span class="dhnotificationbar-switch-label" data-yes="Yes" data-no="No"></span>
					<span class="dhnotificationbar-switch-handle"></span>
				</label>
			</td>
		</tr><tr>
			<td class="titledesc">Fixed Position</td>
			<td class="forminp">
				<label class="dhnotificationbar-switch dh-info">
					<input name="dhnbar_fixedposition" <?php if($options['dhnbar_fixedposition']=='on'){ ?>checked<?php }?> type="checkbox" class="dhnotificationbar-switch-input">
					<span class="dhnotificationbar-switch-label" data-yes="Yes" data-no="No"></span>
					<span class="dhnotificationbar-switch-handle"></span>
				</label>
			</td>
		</tr><tr>
			<td class="titledesc">Hidden Close Button</td>
			<td class="forminp">
				<label class="dhnotificationbar-switch dh-info">
					<input name="dhnbar_hideclodebutton" <?php if($options['dhnbar_hideclodebutton']=='on'){ ?>checked<?php }?> type="checkbox" class="dhnotificationbar-switch-input">
					<span class="dhnotificationbar-switch-label" data-yes="Yes" data-no="No"></span>
					<span class="dhnotificationbar-switch-handle"></span>
				</label>
			</td>
		</tr><tr>
			<td class="titledesc">Content</td>
			<td class="forminp">
				<?php wp_editor(
						$options['dhnbar_content'],'dhnbar_content',
						$settings=array(
							'media_buttons'	=> false,
							'teeny'			=> true,
							'quicktags'		=> false,
							'tinymce'		=> array('toolbar1' => 'bold,italic,underline,strikethrough,'),
						) ); ?>
			</td>
		</tr><tr>
			<td class="titledesc">Text Color</td>
			<td class="forminp">
				<input type="text" name="dhnbar_textcolor" class="color-picker" value="<?php echo $options['dhnbar_textcolor']; ?>" style="width:100px!important" />
			</td>
		</tr><tr>
			<td class="titledesc">Background Color</td>
			<td class="forminp">
				<input type="text" name="dhnbar_bgcolor" class="color-picker" value="<?php echo $options['dhnbar_bgcolor']; ?>" style="width:100px!important" />
			</td>
		</tr><tr>
			<td class="titledesc">Z-Index</td>
			<td class="forminp">
				<input type="text" name="dhnbar_zindex" value="<?php echo ($options['dhnbar_zindex']); ?>" class="dh-info" placeholder="default: 17" style="width:100px!important"/>
			</td>
		</tr>
	</tbody>
</table>

<table class="dhnotificationbar widefat" style="margin-top:25px;">
	<thead>
		<tr>
			<th scope="col">Button</th>
			<th scope="col">&nbsp;</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="titledesc">Button Text</td>
			<td class="forminp">
				<input type="text" name="dhnbar_buttontext" value="<?php echo stripslashes($options['dhnbar_buttontext']); ?>" class="dh-info" placeholder="Click Here!" style="width:500px!important"/>
			</td>
		</tr><tr>
			<td class="titledesc">Button Link</td>
			<td class="forminp">
				<input type="text" name="dhnbar_buttonurl" value="<?php echo $options['dhnbar_buttonurl']; ?>" class="dh-info" placeholder="https://www.your-button-url.com" style="width:500px!important"/>
			</td>
		</tr><tr>
			<td class="titledesc">Link Target</td>
			<td class="forminp">
				<select name="dhnbar_linktarget" id="dhnbar_linktarget" style="min-width:125px;">
					<?php if ($options[dhnbar_linktarget] == '_blank'){ ?>
						<option value="_blank" selected="selected">_blank</option>
						<option value="_parent">_parent</option>
						<option value="_self">_self</option>
						<option value="_top">_top</option>
					<?php } else if ($options[dhnbar_linktarget] == '_parent'){ ?>
						<option value="_blank">_blank</option>
						<option value="_parent" selected="selected">_parent</option>
						<option value="_self">_self</option>
						<option value="_top">_top</option>
					<?php } else if ($options[dhnbar_linktarget] == '_self'){ ?>
						<option value="_blank">_blank</option>
						<option value="_parent">_parent</option>
						<option value="_self" selected="selected">_self</option>
						<option value="_top">_top</option>
					<?php } else if ($options[dhnbar_linktarget] == '_top'){ ?>
						<option value="_blank">_blank</option>
						<option value="_parent">_parent</option>
						<option value="_self">_self</option>
						<option value="_top" selected="selected">_top</option>
					<?php }else{ ?>
						<option value="_blank" selected="selected">_blank</option>
						<option value="_parent">_parent</option>
						<option value="_self">_self</option>
						<option value="_top">_top</option>
					<?php } ?>
				</select>
			</td>
		</tr><tr>
			<td class="titledesc">Button Text Color</td>
			<td class="forminp">
				<input type="text" name="dhnbar_buttontextcolor" class="color-picker" value="<?php echo $options['dhnbar_buttontextcolor']; ?>" style="width:100px!important" />
			</td>
		</tr><tr>
			<td class="titledesc">Button BG Color</td>
			<td class="forminp">
				<input type="text" name="dhnbar_buttonbgcolor" class="color-picker" value="<?php echo $options['dhnbar_buttonbgcolor']; ?>" style="width:100px!important" />
			</td>
		</tr>
	</tbody>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="<?php get_option($options) ?>" />
<p class="submit">
	<input type="submit" name="save" id="submit" class="button button-primary" value="Save Changes"/>
</p>
</form>
</div>
<?php }?>